org.sqlite.jdbc4

## Class JDBC4Connection

- java.lang.Object
- - org.sqlite.SQLiteConnection
  - - org.sqlite.jdbc3.JDBC3Connection
    - - org.sqlite.jdbc4.JDBC4Connection

All Implemented Interfaces:
  AutoCloseable, Connection, Wrapper

    public class JDBC4Connection
    extends JDBC3Connection

### Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Constructor Summary

Constructors
Constructor and Description
`JDBC4Connection(String url, String fileName, Properties prop)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Array` `createArrayOf(String typeName, Object[] elements)`
`Blob` `createBlob()`
`Clob` `createClob()`
`NClob` `createNClob()`
`SQLXML` `createSQLXML()`
`Statement` `createStatement(int rst, int rsc, int rsh)`
`Properties` `getClientInfo()`
`String` `getClientInfo(String name)`
`boolean` `isClosed()`
`boolean` `isValid(int timeout)`
`boolean` `isWrapperFor(Class<?> iface)`
`PreparedStatement` `prepareStatement(String sql, int rst, int rsc, int rsh)`
`void` `setClientInfo(Properties properties)`
`void` `setClientInfo(String name, String value)`
`<T> T` `unwrap(Class<T> iface)`

### Methods inherited from class org.sqlite.jdbc3.JDBC3Connection

`clearWarnings, createStatement, createStatement, createStruct, getCatalog, getHoldability, getTypeMap, getWarnings, isReadOnly, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, setCatalog, setHoldability, setReadOnly, setSavepoint, setSavepoint, setTypeMap`

### Methods inherited from class org.sqlite.SQLiteConnection

`abort, addCommitListener, addUpdateListener, checkCursor, checkOpen, close, commit, extractPragmasFromFilename, getAutoCommit, getBusyTimeout, getConnectionConfig, getDatabase, getLimit, getMetaData, getNetworkTimeout, getSchema, getSQLiteDatabaseMetaData, getTransactionIsolation, getUrl, libversion, removeCommitListener, removeUpdateListener, rollback, setAutoCommit, setBusyTimeout, setLimit, setNetworkTimeout, setSchema, setTransactionIsolation, setTransactionMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDBC4Connection

    public JDBC4Connection(String url,
                           String fileName,
                           Properties prop)
                    throws SQLException

Throws:
  `SQLException`

### Method Detail

#### createStatement

    public Statement createStatement(int rst,
                                     int rsc,
                                     int rsh)
                              throws SQLException

Specified by:
  `createStatement` in interface `Connection`
Specified by:
  `createStatement` in class `JDBC3Connection`
Throws:
  `SQLException`
See Also:
  `Connection.createStatement(int, int, int)`

#### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int rst,
                                              int rsc,
                                              int rsh)
                                       throws SQLException

Specified by:
  `prepareStatement` in interface `Connection`
Specified by:
  `prepareStatement` in class `JDBC3Connection`
Throws:
  `SQLException`
See Also:
  `Connection.prepareStatement(java.lang.String, int, int, int)`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Specified by:
  `isClosed` in interface `Connection`
Overrides:
  `isClosed` in class `SQLiteConnection`
Throws:
  `SQLException`
See Also:
  `Connection.isClosed()`

#### unwrap

    public <T> T unwrap(Class<T> iface)
                 throws ClassCastException

Throws:
  `ClassCastException`

#### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)

#### createClob

    public Clob createClob()
                    throws SQLException

Throws:
  `SQLException`

#### createBlob

    public Blob createBlob()
                    throws SQLException

Throws:
  `SQLException`

#### createNClob

    public NClob createNClob()
                      throws SQLException

Throws:
  `SQLException`

#### createSQLXML

    public SQLXML createSQLXML()
                        throws SQLException

Throws:
  `SQLException`

#### isValid

    public boolean isValid(int timeout)
                    throws SQLException

Throws:
  `SQLException`

#### setClientInfo

    public void setClientInfo(String name,
                              String value)
                       throws SQLClientInfoException

Throws:
  `SQLClientInfoException`

#### setClientInfo

    public void setClientInfo(Properties properties)
                       throws SQLClientInfoException

Throws:
  `SQLClientInfoException`

#### getClientInfo

    public String getClientInfo(String name)
                         throws SQLException

Throws:
  `SQLException`

#### getClientInfo

    public Properties getClientInfo()
                             throws SQLException

Throws:
  `SQLException`

#### createArrayOf

    public Array createArrayOf(String typeName,
                               Object[] elements)
                        throws SQLException

Throws:
  `SQLException`